Bug 233634 - KDE trims names of mount points whose names contain a '#' character
KDE trims names of mount points whose names contain a '#' character
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2007-03-23 11:09 EDT by Lubomir Kundrak
Modified: 2013-03-05 22:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-03-23 11:09:34 EDT
Description of problem:

When you insert a media whose label contains a '#' character, and
double-click the corresponding icon that appeared on the desktop,
the media gets open but konqueror attempts to open a directory with
name that takes only characters prior to '#' in account.

Version-Release number of selected component (if applicable):

I am not sure whether I selected the right component; kdebase-3.5.6-0.1.fc6

Nice Steps to Reproduce:

1. Create a MS-DOS filesystem with label "Foo#Bar" on a USB mass-storage device
2. Double click the "Foo#Bar" icon
Actual results:

Open the drive contents.

Expected results:

Directory "Foo" doesn't exist.
Comment 1 Lubomir Kundrak 2007-03-23 11:21:24 EDT
This might also be a HAL issue.
Please reassign if you are confident it is.
Comment 2 Lubomir Kundrak 2007-03-27 09:45:56 EDT
Probably it wasn't this [1], because it is too young 2007. Anyways, probably
the same piece of code is guilty.

[1] http://lists.freedesktop.org/archives/hal/2007-February/007255.html

Reassigning to hal.
Comment 3 Lubomir Kundrak 2007-09-21 05:21:08 EDT
Ping on this issue.
Comment 4 Lubomir Kundrak 2007-11-16 05:06:18 EST
Ping #2
Comment 5 Bug Zapper 2008-04-04 02:38:40 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 15:24:09 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.